Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create support capture upload session

POST/support/capture/upload-session
Header parameters
x-pile-capture-tokenstringrequired
Request body
application/json
titlestringrequired
min length 1
descriptionstring
prioritystring
Allowed:lowmediumhighurgent
tagsstring[]
urlstring
attachmentTypestring
default: "screenshot"
Allowed:screenshotvideodebugger_jsonlognetwork
contentTypestring
fileNamestring
visibilitystring
Allowed:publicprivate
metadataobject
default: {}
deviceInfoobject
Responses
200Upload session
uploadUrlstringrequired
r2Keystringrequired
sessionIdstringrequired
401Invalid or expired token
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/support/capture/upload-session" \
  -H "x-pile-capture-token: string" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "string",
  "description": "string",
  "priority": "low",
  "tags": [
    "string"
  ],
  "url": "string",
  "attachmentType": "screenshot",
  "contentType": "string",
  "fileName": "string",
  "visibility": "public",
  "metadata": {},
  "deviceInfo": {
    "property1": null,
    "property2": null
  }
}'
Response
{
  "uploadUrl": "string",
  "r2Key": "string",
  "sessionId": "string"
}